import type { Source } from 'it-stream-types';
import type { PeerInfo } from '@libp2p/interfaces/peer-info';
import type { PeerStore } from '@libp2p/interfaces/peer-store';
/**
 * Store the multiaddrs from every peer in the passed peer store
 */
export declare function storeAddresses(source: Source<PeerInfo>, peerStore: PeerStore): AsyncGenerator<PeerInfo, void, undefined>;
/**
 * Filter peers by unique peer id
 */
export declare function uniquePeers(source: Source<PeerInfo>): AsyncGenerator<PeerInfo, void, unknown>;
/**
 * Require at least `min` peers to be yielded from `source`
 */
export declare function requirePeers(source: Source<PeerInfo>, min?: number): AsyncGenerator<PeerInfo, void, unknown>;
//# sourceMappingURL=utils.d.ts.map